# apiVersion: v1
# kind: Namespace
# metadata:
#   name: app
  
# ---

apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: nginx-ingress7
  labels:
    name: test-01-ingress
  namespace: dev
  annotations:
    cert-manager.io/issuer: letsencrypt-production
spec:
  rules:
  - host: www.dev-goapp.com
    http:
      paths:
      - pathType: Prefix
        path: "/"
        backend:
          service:
            name: test-01-service
            port: 
              number: 80
  ingressClassName: nginx        
  tls:
    - hosts:
      - www.dev-goapp.com
      secretName: test-ingress-app-production2